{
  "name": "k8s-pod-network",
  "cniVersion": "0.3.1",
  "plugins": [
    {
      "type": "calico",
      "log_level": "info",
      "datastore_type": "kubernetes",
      "mtu": {{ k8s_network_calico_mtu | to_json }},
      "ipam": {
          "type": "calico-ipam",
{% if dualstack_support %}
          "assign_ipv4": "true",
          "assign_ipv6": "true"
{% else %}
          "assign_ipv4": "true"
{% endif %}
      },
      "policy": {
          "type": "k8s"
      },
      "kubernetes": {
          "kubeconfig": "/etc/cni/net.d/calico-kubeconfig"
      }
    },
    {
      "type": "portmap",
      "snat": true,
      "capabilities": {"portMappings": true}
    }
  ]
}
